p-table Row Editing error on pEditableRow

UI Components for Angular
Post Reply
Sparks260
Posts: 12
Joined: 18 May 2017, 03:40

11 Mar 2019, 07:15

I am trying to implement Row Editing in the p-table (TurboTable) component as demonstrated on https://www.primefaces.org/primeng/#/table under the heading Row Editing.

After following the directions on that page, I keep getting this error:
Template parse errors:
Can't bind to 'pEditableRow' since it isn't a known property of 'tr'. (" <ng-template pTemplate="body" let-rowData let-editing="editing" let-ri="rowIndex">
<tr [ERROR ->][pEditableRow]="rowData">
<td>
So I created a StackBlitz using the code from the PrimeNG demo (I setup the CarService and copied the Row Editing sample HTML from Github. I got everything setup and tried to run it and I am getting the SAME ERROR in the demo code that I am getting in my app:
Error in /turbo_modules/@angular/compiler@7.2.8/bundles/compiler.umd.js (2500:21)
Template parse errors:
Can't bind to 'pEditableRow' since it isn't a known property of 'tr'. (" <ng-template pTemplate="body" let-rowData let-editing="editing" let-ri="rowIndex">
<tr [ERROR ->][pEditableRow]="rowData">
<td>
{{rowData.vin}}
"): ng:///AppModule/AppComponent.html@15:16
What am I missing? Why won't this work for Row Editing?

Thanks in advance!

yigitfindikli
Posts: 220
Joined: 08 Aug 2018, 14:09

12 Mar 2019, 15:50

Sparks260 wrote:
11 Mar 2019, 07:15
I am trying to implement Row Editing in the p-table (TurboTable) component as demonstrated on https://www.primefaces.org/primeng/#/table under the heading Row Editing.

After following the directions on that page, I keep getting this error:
Template parse errors:
Can't bind to 'pEditableRow' since it isn't a known property of 'tr'. (" <ng-template pTemplate="body" let-rowData let-editing="editing" let-ri="rowIndex">
<tr [ERROR ->][pEditableRow]="rowData">
<td>
So I created a StackBlitz using the code from the PrimeNG demo (I setup the CarService and copied the Row Editing sample HTML from Github. I got everything setup and tried to run it and I am getting the SAME ERROR in the demo code that I am getting in my app:
Error in /turbo_modules/@angular/compiler@7.2.8/bundles/compiler.umd.js (2500:21)
Template parse errors:
Can't bind to 'pEditableRow' since it isn't a known property of 'tr'. (" <ng-template pTemplate="body" let-rowData let-editing="editing" let-ri="rowIndex">
<tr [ERROR ->][pEditableRow]="rowData">
<td>
{{rowData.vin}}
"): ng:///AppModule/AppComponent.html@15:16
What am I missing? Why won't this work for Row Editing?

Thanks in advance!
Hi,

What is your PrimeNG version ? Probably issue is you are not using 7.1.0-rc.1.

Example for you;
https://stackblitz.com/edit/github-937ou6

Best Regards.

Sparks260
Posts: 12
Joined: 18 May 2017, 03:40

12 Mar 2019, 18:13

yigitfindikli wrote:
12 Mar 2019, 15:50
Sparks260 wrote:
11 Mar 2019, 07:15
I am trying to implement Row Editing in the p-table (TurboTable) component as demonstrated on https://www.primefaces.org/primeng/#/table under the heading Row Editing.
Hi,

What is your PrimeNG version ? Probably issue is you are not using 7.1.0-rc.1.

Example for you;
https://stackblitz.com/edit/github-937ou6

Best Regards.
You're right - I am using version 7.0.4 and the Stackblitz is using 7.0.5.

I would never have suspected that in order to use a feature clearly outlined in your documentation would require using pre-release software. :?

I will give it a try, though I don't make a habit of using pre-release software in a production application.

Sparks260
Posts: 12
Joined: 18 May 2017, 03:40

12 Mar 2019, 20:25

Sparks260 wrote:
12 Mar 2019, 18:13
yigitfindikli wrote:
12 Mar 2019, 15:50

Hi,

What is your PrimeNG version ? Probably issue is you are not using 7.1.0-rc.1.

Example for you;
https://stackblitz.com/edit/github-937ou6

Best Regards.
You're right - I am using version 7.0.4 and the Stackblitz is using 7.0.5.

I would never have suspected that in order to use a feature clearly outlined in your documentation would require using pre-release software. :?

I will give it a try, though I don't make a habit of using pre-release software in a production application.
In case others are encountering this or similar errors, I wanted to verify that upgrading to this pre-released version (7.1.0-rc.1) did actually fix the error.

Bottom line -
In order to use Row Editing, you have to be at version 7.1 or higher.

yigitfindikli
Posts: 220
Joined: 08 Aug 2018, 14:09

13 Mar 2019, 11:06

Sparks260 wrote:
12 Mar 2019, 20:25
Sparks260 wrote:
12 Mar 2019, 18:13
yigitfindikli wrote:
12 Mar 2019, 15:50

Hi,

What is your PrimeNG version ? Probably issue is you are not using 7.1.0-rc.1.

Example for you;
https://stackblitz.com/edit/github-937ou6

Best Regards.
You're right - I am using version 7.0.4 and the Stackblitz is using 7.0.5.

I would never have suspected that in order to use a feature clearly outlined in your documentation would require using pre-release software. :?

I will give it a try, though I don't make a habit of using pre-release software in a production application.
In case others are encountering this or similar errors, I wanted to verify that upgrading to this pre-released version (7.1.0-rc.1) did actually fix the error.

Bottom line -
In order to use Row Editing, you have to be at version 7.1 or higher.
Glad to hear!

Best Regards.

Post Reply

Return to “PrimeNG”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 2 guests